XPLOT(1)

NAME
xplot - simple x-y column data plotter for X

SYNOPSIS
xplot [-v] [-title 'titlestring'] [-format 'formatstring'] [-y 'yrange'] [-display host:dpy] [-name appname] [-visual class] [-depth d] [-private] [-shared] [-stdcmap] [-debug l] [-sync] datafiles ...

DESCRIPTION
This manual page documents briefly the xplot command. This manual page was written for the Debian GNU/Linux distribution using the program's intergrated help file because the original program does not have a manual page.

xplot is a small program to plot one- or twodimensional datasets, which are present either in a file or are generated `on-the-fly' and piped to XPlot. XPlot lets you display one or more datasets and lets you zoom to different sections of the sets. Also. `blowups' of the currently shown portion of the data can be made.

xplot is meant for on-screen data exploration. It does not have a print button, nor is it meant for final output and publication-quality figures.

xplot is non longer actively maintained upstream. If you would like to take it over, talk to the author: Karel Kubat <karel@icce.rug.nl>.

OPTIONS
A summary of options are included below.

-v  increases verbosity. XPlot prints information about what files are read and of how many points they consist when this flag is present.

-title 'titlestring'
    defines the title for the plot (can also be set interactively).

-format 'formatstring'
    The formatstring FORMAT is used to read in data. If you're familiar with C, then you know what a formatstring is. The default formatstring is "%f %f ", meaning that XPlot should try to interpret each line as two numbers (%f, for `floating point value'), separated by one or more whitespace characters. The -format flag can be handy if, e.g., you want to read in a file like

        time 12.0 value 3
        time 12.1 value 4
        time 12.2 value 5

    You'd then have a format string

     "time %f value %f "

    Don't forget the trailing blank in the formatstring, it makes sure that the end-of-line character is skipped.

-y yrange'
    This flag allows you to specify the range of the Y axis at startup. Normally XPlot determines the range from the read data. The YRANGE specifier must be in the form NUMBER:NUMBER (e.g., 0:13), where the first number specifies the lowest value of the Y axis, and the second number specifies the highest value.

XFORMS OPTIONS
XPlot is built with the XForms Graphical User Interface Toolkit for X, and hence supports a number of flags which are interpreted by XForms. The flags must be stated before any file arguments, and are:

-display host:dpy
    defines the X display.

-name appname
    defines the application name.

-visual class
    TrueColor, PseudoColor etc...

-depth d
    visual depth in bits

-private
    forces a private colormap.

-shared
    forces a shared colormap.

-stdcmap
    forces a standard colormap.

-debug l
    prints debugging information, l is the level.

-sync
    forces synchronous mode.

USING XPLOT

The XPlot window

The main XPlot window is called the `Control window'. It lets you select boundaries for the plot, activate or deactivate cetain datasets, etc.. See further the subsections.

Boundaries of the plot

The main XPlot window (called Control) shows the datasets in a small plot, surrounded by sliders. Two sliders are provided per axis, one selecting the minimum value and one selecting the maximum value. E.g., if you want to see the middle portion of the plot, set the upper horizontal slider (the minimum X value to display) to about 1/3 of its length and set the lower horizontal slider to 2/3 of its length.

The boundaries of the plot can furthermore be entered in the input fields, below the small plot.

One last button, labeled `Scale Y', affects the sizing of the graph. The button scales the Y axis to contain all points given a certain X range. The scaling of the Y axis is performed over all active datasets (you can also deactivate sets, see the appropriate section).

Selecting and deselecting datasets

When many datasets are plotted, it may be useful to deactivate (or later, reactivate) some of the sets. The button which is labeled `(De)activate sets', on the right hand side of the control window, starts a small window (called the `activator'), showing an overview of the plotted sets. The names of the active sets are prefixed with [+], the inactive sets are prefixed with [-]. Clicking on the line with a name of a dataset `toggles' the activity: an active set becomes inactive and v.v..

Initially, all datasets are `active' (i.e., displayed).

The activator stays on-screen until you click the `dismiss' button of the activator window.

Making larger plots: blowups

The buttons `static blowup' and `dynamic blowup' in the control window start a `blowup' of the current plot: i.e. using the current borders and currently active sets. The blown up graph is dismissed by clicking in the blowup window. The blown up graph can be resized, e.g., to grab its contents in a paint program.

The difference between a static and a dynamic blowup is the following. A static blowup will remain to show the the plotted data even when you, e.g., deactivate a set or change the boundaries. A static blowup is handy when e.g. you want to compare one part of the data with another part: make a static plot of the first part, move to the second part, and compare. In contrast, a dynamic plot redraws its data whenever necessary; therefore, it is an `enlargement' of the plot in the control window.

XPlot can create an unlimited number of blowups: that way, you can simultaneously view different sets with different boundaries in different blowups..

Line types of the plots

The radio buttons labelled `Line types', on the right hand side of the control window, select the line types for the plotting of the datasets. All sets are plotted in the same style.

The default style, `solid or circles', plots a set either with a solid line, or with a solid line and circles on the separate points. The points are plotted when the graph contains less than 20 points: the idea here is that the presence of circles obfuscates a graph when more than 20 circles would be present in the graph.

Other styles force either solid lines, solid lines with circles, or solid lines with squares.

Postponed or immediate plotting

The button labeled `Auto-redraw', on the right hand side of the Control window, selects whether XPlot should redo a plot when any change occurs (e.g., when the boundaries are altered or when a linestyle is defined). Initially, auto-redraw is `on'.

Setting auto-redraw to `off' is a good idea when you are plotting large datasets. The reason for this is that the replotting of all sets (e.g., when sliding one of the boundary sliders) may take too long. In this case, you can disable the automatic redrawing, and `manually' redraw the plot when you are satisfied with all necessary changes. The `manual redraw' is always done when you press the button labeled `Redraw now'.

Plot titles

The input field labeled `Title', below the small plot on the Control window, lets you enter a title for the plot. XPlot's title facility is restricted to one title, which als used in blowups. You might want to define a title, make a blowup, and dump it to say a printer using `xwd' and related programs.

Quitting XPlot

The button labelled `dismiss' on the XPlot control window removes the control window from the screen. The XPlot program will only terminate when no blowups are on-screen. To quit XPlot, you need to remove all blowups (by clicking on them) and to click the `dismiss' button of the control window.

SEE ALSO
This text is also available on-line help by pressing xplot's Help/About button.

AUTHOR
xplot V1.18 Copyright (c) ICCE / Karel Kubat 1995

This manual page by Peter S Galbraith <psg@debian.org> using info from /usr/share/xplot/xplot.help for the Debian GNU/Linux system (but may be used by others).